%global rbname rttool
Summary: RTtool is very simple table generator
Name: ruby-%{rbname}

%global momorel 1

Version: 0.1.8
Release: %{momorel}m
Group:  Applications/Text
License: Ruby
URL: http://www.rubyist.net/~rubikitch/computer/rt/

%NoSource 0 http://www.rubyist.net/~rubikitch/archive/%{rbname}-%{version}.tar.gz 37ea83531eb939279f5e5d65f87e0fdb

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: ruby

Requires: ruby, ruby-optparse

%description
This name is associated with RDtool by Tosh.
Using RTtool it is VERY EASY to write RD with table.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n rttool-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir}
ruby setup.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc GPL README.ja rt.html rt.rd
%doc dot.rt.rd2rc
%{_bindir}/rdrt2
%{_bindir}/rt2
%{ruby_libdir}/rt

%changelog
* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.8-1m)
- verup

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.1.7-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.7-4m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.7-3m)
- rebuild against ruby-1.8.0.

* Wed Apr 24 2002 Junichiro Kita <kita@kondara.org>
- (0.1.7-2k)
